Bass module (legacy gm_bass)

I’m trying to get bass module working in game for my server but
[lua]
require(“bass”);

if (BASS) then
Msg("done!
");
else
Msg("failed!
");
end
[/lua]
outputs the error



Loading bass module... Couldn't include file 'includes\modules\bass.lua' (File not found) 


it appears there is no bass.lua in includes/modules and I can’t find that file anywhere, I just find the dll files.
How would I fix this? Thanks.

Isn’t the module clientside only? Meaning it is not for servers? Besides, pretty much everything it offers is already in the game.

It is probably broken or you haven’t installed it in lua/bin/ (not lua/includes/modules/) where DLL modules belong.
I would recommend not to use a outdated gm_bass module, if you don’t need too, as it could cause conflicts with the game’s Bass Lua bindings and so other addons.

For what do you need it, exactly?
Edit: If you need one for shared/server usage you can use gm_bass3. However make sure you know what you are doing.

Well the integration with the game is serverside.

[editline]15th January 2016[/editline]

Ah I’ll try adding the DLLs to bin as I put them in modules, stupid me :stuck_out_tongue:

The game’s integration is clientside only. http://wiki.garrysmod.com/page/sound/PlayURL

Put the DLL files in bin, still



Loading bass module... Couldn't include file 'includes\modules\bass.lua' (File not found)


Did you install the .dll files to ‘…/garrysmod/lua/bin’ and NOT ‘…/garrysmod/bin’?
Make sure that require() is filled with the right name too. Enter “bass” for gmcl_bass_win32.dll or “bass3” for gmcl_bass3_win32.dll and gmsv_bass3_win32.dll into it.